# EarthML: Geospatial Data Analysis Made Easy
<p align="center">
  <img src="https://github.com/akhilchibber/earthml/blob/main/earthml_logo.png?raw=true" width="300" alt="earthml Logo">
</p>

EarthML is an advanced Python library engineered to streamline the analysis of geospatial and remote sensing data. Developed with a vision to encompass a wide array of functionalities, EarthML currently supports geospatial data conversion into geohashes, and pre-processing of Synthetic Aperture Radar (SAR) datasets from Sentinel-1, ALOSPALSAR, and TerraSAR-X. EarthML is committed to expanding its functionalities to include other remote sensing sensors such as LiDAR, Hyperspectral, and Multispectral Optical in the near future.

## Goal

The primary objective of EarthML is to simplify and expedite the geospatial and SAR data analysis process. It is designed to handle diverse file formats, automatically compute geohashes that encapsulate the entire study area, and conduct essential pre-processing steps on SAR data.

## Features

- **Support for Multiple Formats**: Facilitates the conversion of geospatial data in various formats such as Shapefile, GeoJSON, GeoTIFF, LAS, and images.
- **Geohash Calculation**: Automatically computes the geohash that optimally represents the geographical bounds of the dataset.
- **SAR Data Pre-Processing**: Offers functionalities for crucial pre-processing steps on SAR datasets from Sentinel-1, ALOSPALSAR, and TerraSAR-X. This includes radiometric calibration, speckle filtering, and geometric correction.
- **Future-Ready**: EarthML is actively developed with a roadmap that includes the integration of other remote sensing sensors such as LiDAR, Hyperspectral, and Multispectral Optical.

## Installation

To install EarthML, you can use pip:

```
pip install earthml
```





# License
This project is licensed under the MIT License. See the LICENSE file for details.





# Author
Akhil Chhibber






# Note
This README provides a concise overview of the library, elucidates its objectives, highlights key features, and outlines simple installation instructions.

EarthML is under active development. We welcome contributions and suggestions for new features and improvements.
